package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class TestPerson {

    @Test
    public void testConstructor() {
        //Given
        Person person = new Person(1);
        long expected = 1;
        //When
        long actual = person.getId();
        //Then
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testSetAndGetName() {
        //Given
        Person person = new Person(1);
        String expected = "Name1";
        //When
        person.setName("Name1");
        String actual = person.getName();
        //Then
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testSetAndGetName2() {
        //Given
        Person person = new Person(1, "Name");
        String expectedName = "Name";
        long expectedId = 1;
        //When
        String actualName = person.getName();
        long actualId = person.getId();
        //Then
        Assert.assertEquals(expectedName, actualName);
        Assert.assertEquals(expectedId, actualId);

    }
}
