package io.zipcoder.interfaces;

public class Student extends Person implements Learner{
    // implements = interface
    // extends = inheritance

    private double totalStudyTime;

    public Student() {
        super();
        // super: student inherits the default constructor from the super class which is the person class
    }

    public Student(long id, String name) {

        super(id, name);
    }

    public void learn(double numberOfHours){

        totalStudyTime += numberOfHours ;

    }

    public double getTotalStudyTime() {
        return totalStudyTime;

    }
}
