package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class StudentTest {

    @Test
    public void testImplementation() {
        //Given
        Student student = new Student(1, "Name");
        //Then
        Assert.assertTrue(student instanceof Learner);

    }
    @Test
    public void testInheritance() {
        //Given
        Student student = new Student(1, "Name");
        //Then
        Assert.assertTrue(student instanceof Person);
    }

    @Test
    public void testLearn(){
        //Given
        Student student = new Student();
        double expected = 1;
        //When
        student.learn(1);
        double actual = student.getTotalStudyTime();
        //Then
        Assert.assertEquals(expected, actual, .001);


    }

}
